package cn.com.infosec.mobile.android.xlog;

import android.support.annotation.Keep;

@Keep
public class LogLevel {
   public static final int VERBOSE = 2;
   public static final int DEBUG = 3;
   public static final int INFO = 4;
   public static final int WARN = 5;
   public static final int ERROR = 6;
   public static final int ALL = Integer.MIN_VALUE;
   public static final int NONE = Integer.MAX_VALUE;

   public static String getLevelName(int logLevel) {
      String var10000;
      switch (logLevel) {
         case 2:
            var10000 = "VERBOSE";
            break;
         case 3:
            var10000 = "DEBUG";
            break;
         case 4:
            var10000 = "INFO";
            break;
         case 5:
            var10000 = "WARN";
            break;
         case 6:
            var10000 = "ERROR";
            break;
         default:
            var10000 = logLevel < 2 ? "VERBOSE-" + (2 - logLevel) : "ERROR+" + (logLevel - 6);
      }

      return var10000;
   }

   public static String getShortLevelName(int logLevel) {
      String var10000;
      switch (logLevel) {
         case 2:
            var10000 = "V";
            break;
         case 3:
            var10000 = "D";
            break;
         case 4:
            var10000 = "I";
            break;
         case 5:
            var10000 = "W";
            break;
         case 6:
            var10000 = "E";
            break;
         default:
            var10000 = logLevel < 2 ? "V-" + (2 - logLevel) : "E+" + (logLevel - 6);
      }

      return var10000;
   }
}
